#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
const int N = 2e5 + 50;
char s[N];
int c[N];
int main()
{
    int n;
    scanf("%d%s", &n, s);
    for (int i = 0; i < n; i++) c[i + (s[i] == ')')] += (s[i] == '(') * 2 - 1;
    for (int i = 1; i < n; i++) c[i] += c[i - 1];
    int th = *max_element(c, c + n) / 2;
    for (int i = 0; i < n; i++) putchar('0' + (c[i] > th));
    return 0;
}
